import 'dart:io';

///
/// interface
///

abstract class Response {
  static const defaultErrorMessage = 'Something went wrong';

  static const defaultConnectionError = 'No Internet Connection';

  static String getErrorMessage(Object error) {
    String errorMessage;
    if (error is SocketException) {
      errorMessage = Response.defaultConnectionError;
    } else {
      errorMessage = Response.defaultErrorMessage;
    }
    return errorMessage;
  }
}
