import 'dart:convert';

import 'package:event_analysis_library/src/eventPost/request/initial_log_request.dart';

class InitialLogRepository{
  factory InitialLogRepository() {
    return _instance;
  }

  InitialLogRepository._internal();

  static final InitialLogRepository _instance =
  InitialLogRepository._internal();

  Future<InitialLogResponse> postInitialLog(String token, String productKey, String logJson) async {
    final request = InitialLogRequest(productKey: productKey, token: token, logJson: logJson);
    final response = await request.execute();
    return response;
  }
}