import 'package:event_analysis_library/src/eventPost/request/post_event_request.dart';

class PostEventRepository{
  factory PostEventRepository() {
    return _instance;
  }

  PostEventRepository._internal();

  static final PostEventRepository _instance =
  PostEventRepository._internal();

  Future<PostEventResponse> postEvent(String token, String productKey, String eventLog) async {
    final request = PostEventRequest(productKey: productKey, token: token, eventLog: eventLog);
    final response = await request.execute();
    return response;
  }
}