import 'dart:convert';

import 'package:event_analysis_library/src/eventPost/request/sdkInitializationRequest.dart';

class SdkInitializationRepository{
  factory SdkInitializationRepository() {
    return _instance;
  }

  SdkInitializationRepository._internal();

  static final SdkInitializationRepository _instance =
  SdkInitializationRepository._internal();

  Future<SdkInitializationResponse> initializeSdk(String token) async {
    final request = SdkInitializationRequest(token);
    final response = await request.execute();
    return response;
  }
}