import 'package:event_analysis_library/src/eventPost/request/user_identity_request.dart';

class UserIdentityRepository{
  factory UserIdentityRepository() {
    return _instance;
  }

  UserIdentityRepository._internal();

  static final UserIdentityRepository _instance =
  UserIdentityRepository._internal();

  Future<UserIdentityResponse> userIdentity(String token, String productKey, String userIdentity) async {
    final request = UserIdentityRequest(productKey: productKey, token: token, userIdentity: userIdentity);
    final response = await request.execute();
    return response;
  }
}