import 'package:event_analysis_library/src/shared/model/sdk_initialization/sdk_initialization_result.dart';

class SdkInitialization{
  final SdkInitializationResult result;
  final int statusCode;
  final String msg;

  SdkInitialization({required this.result, required this.statusCode, required this.msg});

  factory SdkInitialization.fromJson(Map<String, dynamic> json) {
    var data;
    if((json['result'] as Map<String, dynamic>).isEmpty){
      data = SdkInitializationResult(project_id: "", token: "");
    }else{
      data = SdkInitializationResult.fromJson(json['result']);
    }
    return SdkInitialization(
      result: data,
      statusCode: json['statusCode'],
      msg: json['msg'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['result'] = this.result;
    data['statusCode'] = this.statusCode;
    data['msg'] = this.msg;
    return data;
  }

}