class SdkInitializationResult{
  final String project_id;
  final String token;

  SdkInitializationResult({required this.project_id, required this.token});

  factory SdkInitializationResult.fromJson(Map<String, dynamic> json) {
    return SdkInitializationResult(
      project_id: json['project_id'],
      token: json['token'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['project_id'] = this.project_id;
    data['token'] = this.token;
    return data;
  }
}